$(document).ready(function(){
    if($(".tiles--item .card-header").length){
        $(".tiles--item .card-header").on('click',function(e){
            e.preventDefault();
            if ($(this).parent().hasClass('active')) {
                $(this).parent().removeClass('active');
            } else {
                $(".tiles--item .card").removeClass('active');
                $(this).parent().addClass('active');
            }
        });
    }
    
    $("input#searchForm").focusin(function(){
	    $(".navigation-buttons").addClass("focus-search");
	    $(".navigation-buttons").removeClass("focus-login");
    }).focusout(function(){
	    $(".navigation-buttons").removeClass("focus-search");
    });
    
    
    $("button#btn-login").click(function(event){
	    if(!$(".navigation-buttons").hasClass("focus-login")) {
	    	$(".navigation-buttons").addClass("focus-login");
	    	event.preventDefault()
	    }
    });
    
    if(isSafari()){
	    document.body.classList.add("safari-bugfix");
    }
    if(isIE()){
	    document.body.classList.add("ie-bugfix");
    }
    
});

document.documentElement.classList.remove("no-js");
document.documentElement.classList.add("js");

function isSafari() {
    return navigator.userAgent.toLowerCase().indexOf('safari/') > -1;
}
function isIE() {
    return navigator.userAgent.indexOf("MSIE ") > -1 || navigator.userAgent.indexOf("Trident/") > -1;
}